package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TestStudents;
import com.ruoyi.system.domain.TestStudentsScores;

/**
 * 学生Mapper接口
 * 
 * @author ruoyi
 * @date 2025-02-18
 */
public interface TestStudentsMapper 
{
    /**
     * 查询学生
     * 
     * @param studentId 学生主键
     * @return 学生
     */
    public TestStudents selectTestStudentsByStudentId(Long studentId);

    /**
     * 查询学生列表
     * 
     * @param testStudents 学生
     * @return 学生集合
     */
    public List<TestStudents> selectTestStudentsList(TestStudents testStudents);

    /**
     * 新增学生
     * 
     * @param testStudents 学生
     * @return 结果
     */
    public int insertTestStudents(TestStudents testStudents);

    /**
     * 修改学生
     * 
     * @param testStudents 学生
     * @return 结果
     */
    public int updateTestStudents(TestStudents testStudents);

    /**
     * 删除学生
     * 
     * @param studentId 学生主键
     * @return 结果
     */
    public int deleteTestStudentsByStudentId(Long studentId);

    /**
     * 批量删除学生
     * 
     * @param studentIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTestStudentsByStudentIds(Long[] studentIds);

    /**
     * 批量删除学生成绩
     * 
     * @param studentIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTestStudentsScoresByStudentIds(Long[] studentIds);
    
    /**
     * 批量新增学生成绩
     * 
     * @param testStudentsScoresList 学生成绩列表
     * @return 结果
     */
    public int batchTestStudentsScores(List<TestStudentsScores> testStudentsScoresList);
    

    /**
     * 通过学生主键删除学生成绩信息
     * 
     * @param studentId 学生ID
     * @return 结果
     */
    public int deleteTestStudentsScoresByStudentId(Long studentId);
}
