package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TestStudents;

/**
 * 学生Service接口
 * 
 * @author ruoyi
 * @date 2025-02-18
 */
public interface ITestStudentsService 
{
    /**
     * 查询学生
     * 
     * @param studentId 学生主键
     * @return 学生
     */
    public TestStudents selectTestStudentsByStudentId(Long studentId);

    /**
     * 查询学生列表
     * 
     * @param testStudents 学生
     * @return 学生集合
     */
    public List<TestStudents> selectTestStudentsList(TestStudents testStudents);

    /**
     * 新增学生
     * 
     * @param testStudents 学生
     * @return 结果
     */
    public int insertTestStudents(TestStudents testStudents);

    /**
     * 修改学生
     * 
     * @param testStudents 学生
     * @return 结果
     */
    public int updateTestStudents(TestStudents testStudents);

    /**
     * 批量删除学生
     * 
     * @param studentIds 需要删除的学生主键集合
     * @return 结果
     */
    public int deleteTestStudentsByStudentIds(Long[] studentIds);

    /**
     * 删除学生信息
     * 
     * @param studentId 学生主键
     * @return 结果
     */
    public int deleteTestStudentsByStudentId(Long studentId);
}
